Add product keys
Add product keys (license keys, game keys, etc.) to an offer. Keys are automatically assigned to customers upon successful purchase. Each key can only be used once.
Authorization
Public key Secret key In: header
In: header
Path Parameters
POST /v0/offers/:offerId/keys/add Parameter
uuidRequest Body
application/json
POST /v0/offers/:offerId/keys/add Request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v0/offers/497f6eca-6276-4993-bfeb-53cbbbba6f08/keys/add" \ -H "Content-Type: application/json" \ -d '{ "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113", "productKeys": [ "string" ] }'{ "status": "success", "data": { "success": true }}Archive an offer PATCH
Archive (soft delete) an offer by its ID. Archived offers can no longer be purchased but existing subscriptions continue. This action is reversible.
Remove unsold keys DELETE
Remove all unsold keys from an offer. This action permanently deletes keys that have not been assigned to customers. Sold keys are preserved for record-keeping.